
### options
- type: BadgeSelectItemProps[]
- description: An array of options. Each option must have a unique `id`, a `text` and a `skin` whose value should match one of `<Badge/>`'s skin values
### selectedId
- type: string
- description: The id of the selected option in the list
### onSelect
- type: (option: BadgeSelectItemProps) => void
- description: Callback function called whenever the user selects a different option in the list
### size
- type: "tiny" | "small" | "medium"
- description: The size of the `<Badge/>`
- default: 'medium'
### type
- type: "transparent" | "solid" | "outlined"
- description: The type of the `<Badge/>`
- default: 'solid'
### uppercase
- type: boolean
- description: Whether the text of the `<Badge/>` should be uppercase
- default: true
### dataHook
- type: string
- description: Applied as data-hook HTML attribute that can be used to create driver in testing
### popoverProps
- type: PopoverCommonProps
- description: common popover props

